/*
 * @Date: 2023-09-11 11:10:21
 * @LastEditors: 陈禹琨 chenyukun@prolog-int.com
 * @LastEditTime: 2024-05-28 13:56:21
 * @FilePath: /upcloud-wms-qingniu-web/src/views/EIS/project/qingniuEIS/AGVpickDistribution/api/index.js
 * @Description: cyk
 */
import request from "@/utils/request";
import qs from "qs";
import { SERVICE_AI_EIS_KZ_MASTER_DEV, BASE_URL } from "@/config/serviceSettings.js";
const baseUrl = "/qneis_";
export function getAGVlist(parameter) {
  return request({
    method: "get",
    url: "/api/service-ai-eis-dsl-agv-center/agv/pick/show",
    params: parameter,
  });
}

export function getPickContainerStoreByContainerNo(parameter) {
  return request({
    method: "post",
    url: SERVICE_AI_EIS_KZ_MASTER_DEV + "/sxkPick/getPickContainerStoreByContainerNo",
    data: parameter,
  });
}
export function PrintTask(parameter) {
  return request({
    method: "post",
    url: SERVICE_AI_EIS_KZ_MASTER_DEV + "/sxkPick/doPrintTask",
    data: parameter,
  });
}
export function pickConfirm(parameter) {
  return request({
    method: "post",
    url: SERVICE_AI_EIS_KZ_MASTER_DEV + "/sxkPick/pickConfirm",
    data: parameter,
  });
}
export function doPrintTask(parameter) {
  return request({
    method: "post",
    url: SERVICE_AI_EIS_KZ_MASTER_DEV + "/sxkPick/doRepeatPrintTask",
    data: parameter,
  });
}
export function getStationTask(parameter) {
  parameter.source = 2;
  return request({
    method: "post",
    url: "/api/service-ai-eis-dsl-aps/v1/station/getStationTask",
    data: parameter,
  });
}
export function stationConfirm(parameter) {
  parameter.source = 2;
  return request({
    method: "post",
    url: "/api/service-ai-eis-dsl-aps/v1/station/stationConfirm",
    data: parameter,
  });
}
//获取ip
export function stationConfirmIp(parameter) {
  return request({
    method: "get",
    url: "/api/service-ai-eis-dsl-aps/v1/station/info/" + parameter,
    // params: parameter,
  });
}
//图片回传
export function getImageUrl(parameter) {
  return request({
    method: "post",
    url: "/wms/wmsapi/plg/getImageUrl",
    data: parameter,
  });
}
//aps预警
export function getAlarm(parameter) {
  parameter.source = 1;
  return request({
    method: "post",
    url: "/aps/Interface/getAlarm",
    data: parameter,
  });
}
//供包站台校验

export function checkAllotment(parameter) {
  return request({
    method: "get",
    url: baseUrl + "/api/v1/pc/checkAllotment",
    params: parameter,
  });
}
//2）供包站台索取商品任务
//

export function allotmentOrder(parameter) {
  return request({
    method: "post",
    url: baseUrl + "/api/v1/pc/allotmentOrder",
    data: parameter,
  });
}

// 1）复核确认
export function allotmentConfirm(parameter) {
  return request({
    method: "post",
    url: baseUrl + "/api/v1/pc/allotmentConfirm",
    data: parameter,
  });
}

export function allotmentConfirmCheck(parameter) {
  return request({
    method: "post",
    url: baseUrl + "/api/v1/pc/allotmentConfirmCheck",
    data: parameter,
  });
}

export function noteConfirm(parameter) {
  return request({
    method: "post",
    url: baseUrl + "/api/v1/pc/noteConfirm",
    data: parameter,
  });
}

export function scanCodeGetItem(params) {
  return request({
    method: "get",
    url: baseUrl + "/api/v1/pc/scanCodeGetItem",
    params: params,
  });
}

//

export function waveBindCondition(params) {
  return request({
    method: "get",
    url: baseUrl + "/api/v1/pc/waveBindCondition",
    params: params,
  });
}
